[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TCustomBucketList.Find

Find an item in the list

## Declaration

Source position: contnrs.pp line 533

`public function TCustomBucketList.Find(`
`AItem: Pointer;`
`out AData: Pointer`
`):Boolean;`

## Arguments

`AItem` |  | Item to search for in the list
`AData` |  | On return, contains the data pointer associated with AItem.

## Function result

True if the item is present in the list.

## Description

Find searches for AItem in the list and returns the data pointer associated with it in AData if the item was found. In that case the return value is True. If AItem is not found in the list, False is returned.

## See also

TCustomBucketList.Exists |  | Check if an item exists in the list.

Documentation generated on: Feb 26 2014